commit:     c29117f431271a13be9cf6b249a0753737ad2ee5
Author:     Alfred Wingate <parona <AT> protonmail <DOT> com>
AuthorDate: Fri Nov 14 21:45:11 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Nov 15 05:03:17 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c29117f4

dev-python/orjson: call cargo_gen_config explicitly

cargo_env wont be used for maturin otherwise as cargo_src_unpack is
shadowed by pypi_src_unpack. As upstream vendors all its crates it wont
be necessary to call cargo_src_unpack though, so just call
cargo_gen_config.

Revbump as lto breaks the binaries at runtime.

Signed-off-by: Alfred Wingate <parona <AT> protonmail.com>
Part-of: https://github.com/gentoo/gentoo/pull/44629
Closes: https://github.com/gentoo/gentoo/pull/44629
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-python/orjson/orjson-3.11.4-r1.ebuild | 51 +++++++++++++++++++++++++++++++
 1 file changed, 51 insertions(+)

diff --git a/dev-python/orjson/orjson-3.11.4-r1.ebuild 
b/dev-python/orjson/orjson-3.11.4-r1.ebuild
new file mode 100644
index 000000000000..fc0b9b36a397
--- /dev/null
+++ b/dev-python/orjson/orjson-3.11.4-r1.ebuild
@@ -0,0 +1,51 @@
+# Copyright 2023-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=maturin
+PYPI_VERIFY_REPO=https://github.com/ijl/orjson
+PYTHON_COMPAT=( python3_{11..14} )
+
+# upstream is vendoring crates
+CRATES=""
+RUST_MIN_VER="1.88.0"
+
+inherit cargo distutils-r1 pypi
+
+DESCRIPTION="Fast, correct Python JSON library supporting dataclasses, 
datetimes, and numpy"
+HOMEPAGE="
+       https://github.com/ijl/orjson/
+       https://pypi.org/project/orjson/
+"
+
+LICENSE="|| ( Apache-2.0 MIT )"
+# Dependent crate licenses
+LICENSE+="
+       Apache-2.0-with-LLVM-exceptions BSD Boost-1.0 MIT Unicode-3.0
+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+BDEPEND="
+       >=dev-util/maturin-1.7.8[${PYTHON_USEDEP}]
+       test? (
+               dev-python/arrow[${PYTHON_USEDEP}]
+               dev-python/numpy[${PYTHON_USEDEP}]
+               dev-python/psutil[${PYTHON_USEDEP}]
+               dev-python/pytz[${PYTHON_USEDEP}]
+       )
+"
+
+QA_FLAGS_IGNORED=".*"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+src_unpack() {
+       pypi_src_unpack
+
+       # https://github.com/ijl/orjson/issues/613
+       cargo_gen_config
+}

Reply via email to